Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ActivityAgenda.OtherReportsActivity

    java.lang.Object
      ix.icore.process.TimePoint
          ix.icore.process.PNode
              ix.ip2.AgendaItem
                  ix.ip2.ActivityItem
                      ix.ip2.ActivityAgenda.OtherReportsActivity

All Implemented Interfaces:
  HasStatus

Enclosing class:
  ActivityAgenda

    public class ActivityAgenda.OtherReportsActivity

extends ActivityItem

Nested Class Summary

Nested classes/interfaces inherited from class ix.icore.process.PNode
`PNode.MakeVarIfUnbound`

Field Summary

Fields inherited from class ix.ip2.ActivityItem
`EXPANSION_REFINEMENT_NAME`

Fields inherited from class ix.ip2.AgendaItem
`actions, handledBy, listeners, reports`

Fields inherited from class ix.icore.process.PNode
`beginEnd, computeStatus, endEnd, level, modelManager, parent`

Fields inherited from class ix.icore.process.TimePoint
`tpn_mark`

Constructor Summary
`ActivityAgenda.OtherReportsActivity(java.lang.String text)`

Method Summary
`boolean` | `actionCanBeTakenNow(HandlerAction act)`
`void` | `addReport(Report report)`
`void` | `computeStatus()` computeStatus() is used to change the status of related nodes when a node changes its status.
`void` | `setStatus(Status status)` Changes the node's status and then that of related nodes.
`protected void` | `setStatusBasedOn(Report report)`
`boolean` | `wantsActionsFrom(ItemHandler handler)` Gives this item its say in whether an item-handler should be able to give it handler actions.
`boolean` | `wantsReport(Report report)`

Methods inherited from class ix.ip2.ActivityItem
`getExpansionRefinementName, makePNode, recordExpansionRefinementName, setRefinement`

Methods inherited from class ix.ip2.AgendaItem
`addAction, addHistoryEvent, addItemListener, assignStatus, clearActions, findAction, findAction, findAllActions, fireAgendaItemEdited, fireHandlerActionsChanged, fireNewHandlerAction, fireNewReport, firePriorityChanged, fireStatusChanged, getAbout, getActions, getComments, getHandledBy, getHistory, getHowHandled, getParent, getPattern, getPatternVars, getPriority, getReports, getShortDescription, getStatus, getUnboundVars, handleReportBack, hasAction, insertAction, isNew, setAbout, setComments, setHandledBy, setIsNew, setPattern, setPriority, toString`

Methods inherited from class ix.icore.process.PNode
`addChild, allComputeStatus, allHaveStatus, ensureChildrenLinkedToParent, expandOneLevel, getBegin, getChildren, getEnd, getLevel, getModelManager, getParentPNode, getRefinement, getVarTable, hasChildren, isAncestorOf, isDescendentOf, isExpanded, isSiblingOf, processOrderings, setChildren, setVarTable, statusFromNodeEnds, unlink`

Methods inherited from class ix.icore.process.TimePoint
`addPostConstraint, addPreConstraint, getMaxTime, getMinTime, getPostConstraints, getPreConstraints, hasUnboundedMax, removePostConstraint, removePreConstraint, setMaxTime, setMinTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActivityAgenda.OtherReportsActivity

    public ActivityAgenda.OtherReportsActivity(java.lang.String text)

Method Detail

### wantsReport

    public boolean wantsReport(Report report)

  Overrides:
    `wantsReport` in class `AgendaItem`

### wantsActionsFrom

    public boolean wantsActionsFrom(ItemHandler handler)

  Description copied from class: `AgendaItem`
  Gives this item its say in whether an item-handler should be able to give it handler actions.

  Overrides:
    `wantsActionsFrom` in class `AgendaItem`
  See Also:
    `ItemHandler.appliesTo(AgendaItem item)`

### actionCanBeTakenNow

    public boolean actionCanBeTakenNow(HandlerAction act)

  Overrides:
    `actionCanBeTakenNow` in class `AgendaItem`

### setStatus

    public void setStatus(Status status)

  Description copied from class: `PNode`
  Changes the node's status and then that of related nodes.

  Specified by:
    `setStatus` in interface `HasStatus`
  Overrides:
    `setStatus` in class `AgendaItem`

### computeStatus

    public void computeStatus()

  Description copied from class: `PNode`
  computeStatus() is used to change the status of related nodes when a node changes its status.

  Specified by:
    `computeStatus` in interface `HasStatus`
  Overrides:
    `computeStatus` in class `PNode`

### addReport

    public void addReport(Report report)

  Overrides:
    `addReport` in class `AgendaItem`

### setStatusBasedOn

    protected void setStatusBasedOn(Report report)

  Overrides:
    `setStatusBasedOn` in class `AgendaItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD